#
# spec file for package python3-mccabe
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-mccabe
Version:        0.3.1
Release:        4.1
Summary:        McCabe checker, plugin for flake8
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/flintwork/mccabe
Source:         http://pypi.python.org/packages/source/m/mccabe/mccabe-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Ned's script to check McCabe complexity.
This module provides a plugin for ``flake8``, the Python code checker.

%prep
%setup -q -n mccabe-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitelib}/*

%changelog
* Tue Jun 16 2015 arun@gmx.de
- update to version 0.3.1:
  * Add release machinery to tox.ini
  * Include test_mccabe.py in releases
  * Update .travis.yml to use tox
  * Use travis-ci containers for building
  * Add travis testing on python 3.4
* Sat Jan 10 2015 arun@gmx.de
- specfile: update copyright year
- update to version 0.3:
  * Computation was wrong: the mccabe complexity starts at 1, not 2.
  * The max-complexity value is now inclusive. E.g.: if the value is
    10 and the reported complexity is 10, then it passes.
  * Add tests.
* Wed Apr 24 2013 speilicke@suse.com
- Add python3 build requirement to get access to the ssl module
* Wed Apr 24 2013 speilicke@suse.com
- Set license to MIT (SPDX mapping from Expat)
* Sun Apr 21 2013 dmueller@suse.com
- Initial package (0.2.1)
